Subject: Re: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Marcin Borkowski <[email-masked]>
Date: Tue, 19 Dec 2017 12:44:21 +0100

On 2017-12-09, at 16:45, Marcin Borkowski <[email-masked]> wrote:

> On 2017-12-09, at 12:52, Eli Zaretskii <[email-masked]> wrote:
>
>>> From: Marcin Borkowski <[email-masked]>
>>> Cc: [email-masked]
>>> Date: Thu, 07 Dec 2017 14:28:20 +0100
>>>
>>> OK, so let me revive this old thread.  I decided to spend some (not too
>>> much...) time on Emacs bugs again.  First things first: I think I fixed
>>> this one.  (This is a bit embarassing: I did it many months ago, pushed
>>> a branch and forgot to mention it here.)  Here it is:
>>> http://git.savannah.gnu.org/cgit/emacs.git/log/?h=fix/bug-20871 - can
>>> anyone look at it?
>>
>> I took a look.  It looks reasonable, but I think it will also need to
>> be mentioned in the Emacs User manual, node "Fill Commands".  In
>> addition, could you write a couple of tests for this feature?
>
> OK, I'll look into it and get back here.

So I did take a look.  The mention in the manual is already there,
I forgot I did that back then.  Where should I put the tests?
I expected something in e.g. test/lisp/textmodes/fill.el, but there's
nothing like that there.  Also, should I test only my function, or
filling with it, or both?

Best,

--
Marcin Borkowski